
.editor {
	margin-top : 1em ;
	width : 40em ;
	user-select: none; 
	position : fixed;
	top : 50vh ;
	left : 50vw ;
	transform : translate(-50%, -50%) ;
	z-index : 100 ;
	background-color : transparent;
}

.editor.email {
	z-index: 10000;
}

.editor.shadowed {
	-webkit-box-shadow: 5px 5px 5px 1px var(--genIndex-shadowColor);
	-o-box-shadow: 5px 5px 5px 1px var(--genIndex-shadowColor);
	box-shadow: 5px 5px 5px 1px var(--genIndex-shadowColor);
	filter:progid:DXImageTransform.Microsoft.Shadow(color=var(--genIndex-shadowColor), Direction=134, Strength=5);
}

.editor.inTheFlow {
	top : 0 ;
	left : 0 ;
	transform : none ;
	max-height : 85vh ;
	overflow : hidden auto ;
	position : initial ;
	padding-top: 0;
	margin-bottom: 0;
}

.editor.verylargeHeight {
	min-height : 40vh ;
	max-height : 82vh ;
}

.editor.extremeHeight {
	max-height : none ;
	overflow : hidden ;
}

.flexForm {
	display: flex;
	justify-content: center;
}

.editor.smallWidth {
	width : 33em ;
}
.editor.largeWidth {
	width : 41em ;
}
.editor.muchLargeWidth {
	width : 45em ;
}
.editor.verylargeWidth {
	width : 60em ;
}
.editor.almostExtremeWidth {
	width : 80vw ;
}
.editor.extremeWidth {
	width : 98vw ;
}
.editor.autoWidth {
  width: auto;
  white-space : nowrap ;
}

/* .editor:not(.discrete):not(:has(.titre)) { */
.editor:not(.discrete) { /* Modifié le 18/06/2024 : le titre ne change rien (voir édition d'une commune) */
	/* border : 1px solid var(--genIndex-popup-border) ; */
	border-top-left-radius : 0.4em ;
	border-top-right-radius : 0.4em ;
	/* border-top : 1px solid var(--genIndex-popup-border) ; */
	background-color : var(--genIndex-popup-bg) ;
}

#connexion {
	position : absolute ;
	top: 50%;
	left: 50%;
	/* bring your own prefixes */
	transform: translate(-50%, -50%);
	padding : 0.5em;
	font-family: sans-serif;
	font-size: 15px;
}

/* 	============================================= TITRE ========================================== */

.editor:not(.discrete) .titre {
	text-align : center ;
	padding : 0.2em 0 0.2em 0 ;
	font-weight: 900;
	text-align: center;
	background-color: var(--genIndex-popup-header-bg);
	color : var(--genIndex-opposite-color) ;
	width: 100%;
	box-sizing: border-box ;
	border-top-left-radius: 0.4em;
	border-top-right-radius: 0.4em;
	box-sizing: border-box;
	font-size: 120%;
	border-top : 1px solid var(--genIndex-popup-border) ;
	border-left : 1px solid var(--genIndex-popup-border) ;
	border-right : 1px solid var(--genIndex-popup-border) ;
}

.editor[typeActe="B"] .titre { /* Baptême/naissance */
	background-color: var(--genIndex-panneau-B-header-bg); 
}

.editor[typeActe="CM"] .titre { /* Contrat de Mariage */
	background-color: var(--genIndex-panneau-CM-header-bg) ;
}

.editor[typeActe="M"] .titre { /* Mariage */
	background-color: var(--genIndex-panneau-M-header-bg) ;
}

.editor[typeActe="T"] .titre { /* Testament */
	background-color: var(--genIndex-panneau-T-header-bg) ;
}

.editor[typeActe="S"] .titre { /* Sépulture/décès */
	background-color: var(--genIndex-panneau-S-header-bg) ;
}

.editor[typeActe="C"] .titre { /* Cimetière */
	background-color: var(--genIndex-panneau-C-header-bg)
}

.editor[typeActe="D"] .titre { /* Documents divers */
	background-color: var(--genIndex-panneau-D-header-bg)
}

.editor[typeActe="H"] .titre { /* Help */
	background-color: var(--genIndex-panneau-H-header-bg); 
}

.editReleve .title {
	text-align : center ;
	margin-bottom : 0.8em ;
	cursor: move;
	color : var(--genIndex-panneau-fg) ;
}

.editReleve.editMariage .title {
	background-color: var(--genIndex-panneau-M-header-bg); 
}
.editReleve.editContrat .title {
	background-color: var(--genIndex-panneau-CM-header-bg);
}
.editReleve.editBapteme .title {
	background-color: var(--genIndex-panneau-B-header-bg);
}
.editReleve.editTestament .title {
	background-color: var(--genIndex-panneau-T-header-bg);
}
.editReleve.editDeces .title {
	background-color: var(--genIndex-panneau-S-header-bg);
}
.editReleve.editTombe .title {
	background-color: var(--genIndex-panneau-C-header-bg);
}
.editReleve.editActeNotarial .title {
	background-color: var(--genIndex-panneau-AN-header-bg);
}
.editReleve.editDocumentDiver .title {
	background-color: var(--genIndex-panneau-D-header-bg);
}
.editReleve.editNotaire .title, .editReleve.editCommune .title {
	background-color: var(--genIndex-panneau-header-bg);
}

.editReleve .listeModifications {
  max-height: 1em;
  text-overflow: clip;
  overflow: hidden;
}
.editReleve .listeModifications:hover {
  max-height: unset;
}

#connexion h2 {
	text-align : center ;
}

/* 	============================================= BODY ========================================== */

.editor:not(.verylargeHeight):not(:has(.body)) {
	max-height : 60vh ;
	overflow-x : hidden;
	overflow-y: auto ;
	/* background-color : var(--genIndex-popup-bg) ; Modifié le 18/06/2024 */
}

.tabsBodies .editor:not(:has(.body)) {
	max-height : 82vh ;
}
.tabsBodies.freeHeight .editor {
	max-height: none !important ;
}

.editor:not(:has(.body)):not(.discrete) {
	padding : 0 0.4em 0.4em 0.4em;
}

.editor:not(.discrete) .body {
	padding : 0.4em 0.4em 0.4em 0.4em;
	border-left : 1px solid var(--genIndex-popup-border) ;
	border-right : 1px solid var(--genIndex-popup-border) ;
	border-bottom : 1px solid var(--genIndex-popup-border) ;
	background-color : var(--genIndex-popup-bg) ;
	width : 100% ;
	box-sizing: border-box ;
}

.selectionRegistre .body {
	border : none !important ;
}

.editor .body {
	min-height : 10em;
	max-height: 60vh;
	overflow: hidden auto;
}


.selectionRegistre .body {
	min-height : auto ;
}

.editor .body.fullscreen {
  max-height: 82vh;
}

.editor .body:not(.discrete) {
	background-color : var(--genIndex-popup-bg) ;
}

.editor.noHeight, .editor.noHeight .body {
	max-height : none !important ;
}
fieldset.replie .body {
  display: none;
}

.dumbForPaddingBottom { /* Permet de compenser le fait que les marges et padding bottom sont annulées sur le dernier élément : insérer <div class="dumbForPaddingBottom">&nbsp;</div> */
	width: 100%;
	/* height: 1em; Modifié le 13/01/2025 car insuffisant : la barre de menu du formulaire masquait le bas des critères */
	height: 8em;
}


/* 	============================================= RUBRIQUE ========================================== 
	Groupe de fields, e.g. recherche avancée */
.editor .rubrique {
	display : block ;
	font-weight : 700 ;
}

.editor fieldset {
	display : block ;
	width : 90% ;
	margin-left : 5% !important ;
	border-radius : 0.4em ;
	border : 1px solid var(--genIndex-legend-color) ;
	box-sizing: border-box;
	background-color: var(--genIndex-fieldset-bg);
	color : var(--genIndex-secondary-text) ;
	position: relative; /* Juste pour pouvoir positionner des éléments en absolu dans l'éditor */
}

.formRecherche fieldset {
	margin-left : 15% !important ;
}

.message .editor fieldset {
	margin-left : 0 ;
}

.editor fieldset.shadowed {
	-webkit-box-shadow: 5px 5px 5px 1px var(--genIndex-shadowColor);
	-o-box-shadow: 5px 5px 5px 1px var(--genIndex-shadowColor);
	box-shadow: 5px 5px 5px 1px var(--genIndex-shadowColor);
	filter:progid:DXImageTransform.Microsoft.Shadow(color=var(--genIndex-shadowColor), Direction=134, Strength=5);
	margin-left: 8px;
	margin-bottom: 8px;
}


.editor.inTheFlow fieldset {
	width : 80vw ;
	margin : auto ;
}

.editor fieldset:NOT(:first-child) {
	margin-top : 2em ;
}

.editReleve fieldset {
	border : 0px solid transparent;
	border-top : 1px solid var(--genIndex-onglets-border) ;
	border-radius : 0 ;
	padding-bottom : 0 ;
}

.editReleve legend {
	color : var(--genIndex-legend-color);
	border : 0px solid transparent;
}

.editor legend {
	color : var(--genIndex-legend-color) ;
	padding : 0 0.5em;
	border : 1px solid var(--genIndex-legend-border) ;
	background-color : var(--genIndex-legend-bg) ;
	border-radius : 0.4em;
	font-weight : 200 ;
	font-family: sans-serif;
}

legend.big {
	font-variant : small-caps ;
	padding : 0.3em 1.5em;
	word-spacing: 5px;
	letter-spacing: 1px;
	font-weight : 900 ;
	border-width: 1.5px;
}

.editUser fieldset {
	margin-left : auto !important ;
}

.editDocument fieldset, .panneauEdition fieldset {
	display: block;
	width: auto;
	margin: 0 0 5px 0 !important;
	border: none;
	box-sizing: border-box;
	background-color: transparent;
	padding: 0;
}

.editUser fieldset, .editTranscripteur fieldset {
	margin-bottom : 0.5em;
	width : 28em;
}

.editUser fieldset:first-child, .editTranscripteur fieldset:first-child {
	margin-top : 1em;
}

/* Cas particulier du formulaire recherche avancée : il faut laisser la place du criteriaList à gauche */
.formRecherche {
	width: calc(100vw - 11vw);
	/* margin-left: 10vw; */
}

/*  ============================================= FIELDS ========================================== */
div.plan:not(:first-child) {
	margin-top: 1.5em;
}

div.plan:not(:first-child) .listElementsSeparator {
	border-top: 1px dashed var(--genIndex-body-fg);
	margin-left: 20%;
	margin-right: 20%;
	margin-bottom: 1em;
}

.editor .accessPersonnes {
	margin-left: 2em;
}

.editor .field, fieldset .field, .editor field, fieldset field {
	padding-top : 0.3em ;
	padding-bottom : 0.3em ;
}

.editor .field:not(.noColor):hover, fieldset .field:not(.noColor):hover, .editor field:not(.noColor):hover, fieldset field:not(.noColor):hover {
	background-color : var(--genIndex-tableRow-hover-bg) ;
}

.editor .field .error:not(.noSize), fieldset .field .error:not(.noSize), .editor field .error:not(.noSize), fieldset field .error:not(.noSize) {
	padding-left : 9em ;
}

/* 	============================================= SUB-GROUPS ========================================== */

#sourceRestrictions {
	display: inline-flex;
	column-gap: 1.5em;
	flex-wrap: wrap;
	max-width: 70%;
	row-gap: 0.5em;
}

.sourceRestriction {
	display: flex;
	align-items: center;
	column-gap: 0.3em;
	width: 7em;
}

/* 	============================================= LABELS ========================================== */

.editor label:NOT(.left):not(.noSize), fieldset label:not(.noSize), table label:not(.noSize) {
	display : inline-block;
	width : 8em;
	text-align : right ;
	margin-right : 0.4em;
	vertical-align : top ;
}

.editor label.medium.prefSubRubrique, table label.medium {
	width: 12em !important;
}
table label.medium {
	text-align : left ;
}
label.noSize {
	width : auto !important ;
	max-width : 100% ;
}

.editor label.debutLigne.large:NOT(.left):not(.noSize), fieldset label.debutLigne.large:NOT(.left):not(.noSize) {
	width : 15em !important ;
}

.editor label .onLeft {
  float: left;
}

label.leftAligned {
  text-align: left !important;
}

span.debutLigne, input.debutLigne, div.debutLigne {
	margin-left : 15.5em;
}

#preferences input.debutLigne {
	margin-left : 17.2em;
}

.withMargeDebutLigne {
	margin-left: 10.4em;
}

#loginImpossible label.debutLigne {
	width : 25em;
	vertical-align : top;
}

/* #preferences .detailsRubrique ul label.debutLigne {
	text-align : left ;
	width : 8em;
} */

.doubleColonne label.debutLigne {
	width : 7em;
}

.editor label.forRadio, fieldset label.forRadio { /* quand on se fout que les labels d'une ligne doivent avoir tous la même taille */
	display : inline-block ;
	text-align : left ;
	width : 20em ;
	margin-left : 0.4em;
}

.editor label.forShortRadioButtons, fieldset label.forShortRadioButtons {  /* quand on se fout que les labels d'une ligne aient tous la même taille */
	display: inline;
	margin-left: 0;
	margin-right: 1.5em;
}

.editor field label.forRadio {
	margin-top : 0 ;
}

.editor label.left {
	display : block;
}

fieldset label.onLeft {
	float: left;
	font-weight: bolder;
}

fieldset label.onTop {
	vertical-align : top ;
	padding-top: 2px;
}

.editor label.short, fieldset label.short {
	width : 5em !important;
}

.editor label.normal, fieldset label.normal {
	width : 8em !important;
}

.editor label.medium, fieldset label.medium {
	width : 11em !important;
}

.editor label.long, fieldset label.long {
	width : 14em !important;
}


.editor label.rightSpacedLabel, .field label.rightSpacedLabel {
	margin-right: 1em;
	margin-left : 0.4em;
}

label.extraLarge {
	width: 18em !important;
}

label.megaLarge {
	width: 25em !important;
}

/* 	============================================= INPUTS ========================================== */

#loginImpossible textarea {
	width : 20em;
	height : 5em;
}

.editor ul.listeChoix {
  margin-top: 0;
  list-style-type: none;
}

.editor ul.listeChoix li:not(:first-child) {
	margin-top: 6px;
}

.editor ul.listeFichiers {
	overflow-x: hidden;
	overflow-y: auto;
}

.editor .field:not(:first-child) {
	margin-top: 0.3em;
}

.editor .temoins .field:not(.asBlock) {
	display: inline-block;
	margin: 0 !important;
}

.editor field {
	display : block ;
}

.editor field:not(:first-child) {
	margin-top: 0.6em;
}

.editor input:not([type="button"]):not([type="submit"]), .editor textarea {
	background-color: var(--genIndex-input-bg);
	border-left : 1px solid var(--genIndex-input-border-left) ;
	border-top : 1px solid var(--genIndex-input-border-top) ;
	border-right : 1px solid var(--genIndex-input-border-right) ;
	border-bottom : 1px solid var(--genIndex-input-border-bottom) ;
	color: var(--genIndex-input-fg);
}

.editor input[type="file"] {
	width: 22em;
}

.editor select.jour {
	width : 5em;
}

.editor input.annee {
	width : 6em;
}

.editor select.mois {
	width : 7em;
}

.editor .shortNumber {
	width : 4em ;
}

.editor select.jour, .editor select.mois {
	margin-right : 0.4em;
}

.editor .observations {
	width : 95%;
	margin-left : 2%;
	height : 5em;
}

fieldset input:not([type="button"]):not([type="submit"]), fieldset select, fieldset textarea, table input:not([type="button"]):not([type="submit"]) {
	background-color: var(--genIndex-input-bg);
	border-left: 1px solid var(--genIndex-input-border-left);
	border-top: 1px solid var(--genIndex-input-border-top);
	border-bottom: 1px solid var(--genIndex-input-border-bottom);
	border-right: 1px solid var(--genIndex-input-border-right);
	color: var(--genIndex-input-fg);
} 

::placeholder {
	color: var(--genIndex-input-placeholder);
  	opacity: 1; /* Firefox */
}

::-ms-input-placeholder { /* Edge 12 -18 */
	color: var(--genIndex-input-placeholder);
}

.editUser fieldset input, .editTranscripteur fieldset input {
	margin-bottom: 0.4em;
}

.editUser fieldset input:focus, .editTranscripteur fieldset input:focus, .editCollection input:focus, .editDocument input:focus {
	background-color : var(--genIndex-focused-input-bg) ;
	color : var(--genIndex-focused-input-fg) ;
}

.editReleve .explication {
	margin-left: 9em;
	display: inline-block;
	font-size: 80%;
	text-align: justify;
	padding-right: 1em;
	margin-top: 0.4em;
	margin-bottom: 0.4em;
}

.showRegistres {
	/* background-color : var(--genIndex-secondary-text-bg) ; supprimé le 15/12/2024 pour l'édition de registres notariaux */
	border : 2px solid var(--genIndex-color) ;
	width: 92%;
	overflow-y: auto;
	padding: 0 0.5em 0.5em 0.5em;
	box-sizing: border-box;
}

.showRegistres header {
	height: 2.2em;
	text-align: right;
	padding-right: 1em;
	padding-top: 3px;
}

.filters {
	margin-bottom: 1em;
	padding-left: 3em;
}

input:disabled, input.disabled {
   background-color : var(--genIndex-inactive-bg) !important ;
   color : var(--genIndex-inactive-fg) !important ;
}

input:disabled.highlighted {
   color : var(--genIndex-legend-color) ;
}

.rightSpacedInput {
  margin-right : 2em;
}

.leftSpacedInput {
  margin-left : 2em;
}

input.anciennete {
	width : 5em ;
}

.shortInput {
	width : 5.5em ;
}
.mediumInput {
	width : 25em ;
}
.avgInput {
	width : 40em ;
}

.longInput {
	width : 60em ;
}
.editor.verylargeWidth .longInput {
	width : 90% ;
}

.editor .longNonEditableField {
	display: inline-block;
	max-width: calc(100% - 15em);
}

/* 	============================================= ERRORS ========================================== */

.editor .field.error {
	border : 1px solid var(--genIndex-errorMsg) ;
	font-size : 100%;
	font-weight : normal;
}

.editor .field.warning {
	border : 1px solid var(--genIndex-warningMsg) ;
	font-size : 100%;
	font-weight : normal;
}

/* 	============================================= AIDE ========================================== */

.btnGuidageSaisie {
	width : 1em;
	cursor : pointer;
	position: relative;
	top: 0.2em;
	margin-left: 0.3em;
	background-size: 100% 100%;
	border: 0px solid transparent;
	padding: 0;
	background-color: transparent;
	float: right;
	margin-right: 1em;
}

fieldset .btnGuidageSaisie {
	margin-right: 0.2em;
}

.editor .texteAide {
	max-height : 60vh ;
	overflow-x : hidden;
	overflow-y: auto ;
	padding: 0 0.4em 0 0.4em;
	text-align: justify;
}

.editor .texteAide img {
	width : 70%;
	margin-left : 15%;
}

input.long {
	width : 25em;
}
.editTranscripteur input.long, .editCollection input.long, .editDocument input.long, .panneauEdition input.long {
	width : 28em;
}

.editTranscripteur input[type="checkbox"]:disabled {
    visibility: hidden;
}

.hiddenButton {
	width:0 ;
    visibility: hidden;
	padding: 0;
	margin: 0;
	border: none;
}

.editUser .identite, .editTranscripteur .identite, .editCollection .identite, .editDocument .identite, .panneauEdition .identite { /* Baptême */
	background-color: var(--genIndex-popup-bg) ;
	display:flex ;
	flex-direction: row ;
	justify-content : space-between;
	align-items : center ;
	padding : 0.2em 0.5em 0.2em 1em ;
	margin-left: -0.4em;
	width: calc(100% + 0.8em);
	box-sizing: border-box;
	border-radius: 0.4em 0.4em 0 0;
}

fieldset textarea {
	width : calc(100% - 10em) ;
	height : 7em ;
}

.field textarea {
	width : calc(100% - 13em) ;
	height : 7em ;
}

.field textarea.fullWidth, .fieldset > textarea.fullWidth {
	width : calc(100% - 2em) ;
}

textarea.extremeWidth, input[type="text"].extremeWidth {
	/* width: calc(100% - 15em) !important; */
	min-width: 30em ;
}


td textarea.extremeWidth, td input[type="text"].extremeWidth {
	width: calc(100% - 1em) !important;
	margin-left : 0.5em ;
	box-sizing: border-box;
}

td input[type="text"].dateWidth {
	width: 7em !important;
	text-align : center ;
}

.editDocument .rappelPhotos, .panneauEdition .rappelPhotos {
	display : flex ;
	max-width : 99% ;
	max-height : 4em ;
	overflow-y : hidden ;
	overflow-x : auto ;
	background-color: var(--genIndex-popup-bg) ;;
	padding: 3px;
	margin-bottom: 1em;
	justify-content: space-around;
}

.editDocument .rappelPhotos img, .panneauEdition .rappelPhotos img {
	max-width : 4em ;
	max-height : 4em ;
	border: 0.5px solid var(--genIndex-popup-border) ;;
}

.editUser .identite span.nom {
	max-width: 15em;
	display: inline-block;
	text-overflow: ellipsis;
	white-space: nowrap;
	overflow: hidden;
}

.editRegistre .identite span.nom {
	max-width : 25em !important ;
}

.editTranscripteur .identite span.nom {
	max-width: 30em;
	display: inline-block;
	text-overflow: ellipsis;
	white-space: nowrap;
	overflow: hidden;
}

.editUser .identite .smallButton, .editTranscripteur .identite .smallButton {
	top : 0 !important ;
}

.editUser #observations {
	width : 99% ;
	margin : auto ;
	height : 6em;
	border : 0.5px solid var(--genIndex-input-border) ;
}

.editUser input.anciennete {
	width : 4em;
}

.editTranscripteur .selectNotaire, .editTranscripteur .selectRegistre {
	display: flex;
	align-items: center;
	padding: 2px 0;
}

.editTranscripteur .selectNotaire .smallButton, .editTranscripteur .selectRegistre .smallButton {
	position : static !important ;
}

.editTranscripteur ul {
    max-height: 40vh;
    overflow-x: hidden;
    overflow-y: auto;
	list-style-type: none;
	padding-left : 0 ;
}
.editTranscripteur li {
    white-space: nowrap;
}
.editTranscripteur li.affected {
	color: var(--genIndex-alertMsg);
}
.editTranscripteur[seeAffected="oui"] li:not(.affected) {
	display : none ;
}
.editTranscripteur li.affected.toThisTranscripteur {
	color: var(--genIndex-infoMsg);
}
.editTranscripteur .selectNotaire.deleted, .editTranscripteur .selectRegistre.deleted {
	background-color : var(--genIndex-inactive-bg) ;
}

.editTranscripteur .selectNotaire.deleted select, .editTranscripteur .selectRegistre.deleted select {
	background-color: var(--genIndex-inactive-bg) ;
	color: var(--genIndex-alertMsg);
}

.editor .field span.verticalOrganization {
	display: flex;
	flex-direction: column;
}

.editor .field span.onRight {
	float: right;
	max-width: 1.1em;
}

/* 	============================================= BUTTONS ========================================== */

/* #formConnect #connexionAuto {
	float: right;
	background-color: var(--genIndex-okMsg);
	color : var(--genIndex-opposite-color) ;
	width: 4em;
	height: 4em;
	text-align: center;
	padding-top: 1.5em;
	box-sizing: border-box;
	font-family: sans-serif;
	border-radius: 2em;
	position: relative;
	top: -7px;
	left: 20px;
	cursor: pointer;
} */
/* #formConnect #connexionAuto {
	float: right;
	background-color: var(--genIndex-action-icon);
	color: var(--genIndex-opposite-color);
	width: 4rem;
	height: 4rem;
	text-align: center;
	padding: 1.6rem 0.5rem 0.5rem 0.5rem;
	box-sizing: border-box;
	font-family: sans-serif;
	border-radius: 2rem;
	position: relative;
	top: -7px;
	left: 20px;
	cursor: pointer;
	font-size: 11px;
} */

#formConnect {
	padding : 1em ;
	border : 2px solid var(--genIndex-leftShadowColor) ;
	-webkit-box-shadow: 5px 5px 5px 1px var(--genIndex-shadowColor);
	-o-box-shadow: 5px 5px 5px 1px var(--genIndex-shadowColor);
	box-shadow: 5px 5px 5px 1px var(--genIndex-shadowColor);
	filter:progid:DXImageTransform.Microsoft.Shadow(color=var(--genIndex-shadowColor), Direction=134, Strength=5);
	border-radius: 1em;
}

#authentify, #connexionAuto {
	color: var(--genIndex-opposite-color);
	padding: 0.5em 0.5rem 0.5em 0.5rem;
	box-sizing: border-box;
	font-family: sans-serif;
	border-radius: 0.2rem;
	cursor: pointer;
	display: flex;
	justify-content: center;
	align-items: center;
	position: relative;
	width: 15em;
}
#connexion.autoAuth #authentication, #connexion.autoAuth #connexionAuto {
	display: none ;
}

#authentify {
	background-color: var(--genIndex-infoMsg);
}

#connexion #connexionAutoFirst, #connexion #switchAuthentication, #connexion #errAutoAuth {
	display : none ;
}

#connexion.autoAuth  #connexionAutoFirst, #connexion.autoAuth #switchAuthentication, #connexion.autoAuth #errAutoAuth {
	display:initial ;
}

#connexion.autoAuth #connexionAutoFirst {
	background-color: var(--genIndex-critColor-fg8);
	color: var(--genIndex-activeOnglet_fg);
	margin-top: 1.5em;
	left: 50%;
	transform: translate(-50%, 0);
	font-size: 150%;
	margin-bottom: 1.5em;
	position: relative;
	display: inline-block;
	padding: 0.5em 0.5rem 0.5em 0.5rem;
	border-radius: 0.2rem;
	margin-bottom : 2em ;
}
#connexion.autoAuth #switchAuthentication {
	background-color: var(--genIndex-activeOnglet_bg);
	color: var(--genIndex-activeOnglet_fg);
	padding: 0.5em;
	border-radius: 0.5em;
	position: absolute;
	top: 8.5em;
	left: 1em;
}
#connexion.autoAuth #errAutoAuth {
	display:block ;
	margin-top : 1em ;
}
#connexion.autoAuth #connexionAutoFirst:hover, #connexion.autoAuth #switchAuthentication:hover, #authentify:hover, #connexionAuto:hover {
	cursor:pointer;
	box-shadow: 5px 5px 5px 1px var(--genIndex-shadowColor);
}

/* #connexion:not(.visitorFirst) #connexionAutoFirst, #connexion:not(.visitorFirst) #switchAuthentication {
	display : none ;
} */

#connexionAuto {
	background-color: var(--genIndex-critColor-fg8);
	margin-top: 5em;
	/* left: 50%; */
	/* transform: translate(-50%, 0); */
	font-size: 80%;
	left: calc(100% - 15em);
}

.buttonsBar .submitImg, fieldset .submitImg {
	background: url("../img/save.png");
	background-size: auto auto;
	background-size: 100% 100%;
	border: 0px solid transparent;
	width: 2.3em;
	height: 2.3em;
	position: relative;
	top: -0.6em;
	background-color : transparent ;
	margin-left : 0.4em;
	transition: all .2s ease-in-out;
}

.buttonsBar .submitImg:hover {
	transform: scale(1.5);
	z-index : 9999 ;
}

/* 	============================================= PREMIERE CONNEXION ========================================== */

.premiereConnexion {
	background-color: var(--genIndex-body-bg);
	color : var(--genIndex-body-fg) ;
	position: fixed;
	top : 20vh ;
	left : 25vw ;
	padding: 1em;
	width: 50vw;
	border: 1px solid var(--genIndex-body-fg);
}

.premiereConnexion .question {
	display : none ;
	position: relative;
	width : 100% ;
}

.premiereConnexion .question .body {
	min-height: 30vh;
	max-height: 50vh;
	overflow: hidden auto;

}

.initButtonsBar {
	display: flex;
	width: 100%;
	padding:1em 2em 0 2em;
	justify-content: space-between;
	box-sizing: border-box;
	/* position : fixed ; */
	/* bottom : 3em ; */
}

.initButtonsBar .fakeButton {
	display:inline-block;
	width:140px
}

.initButtonsBar .cancelButton {
	border: none;
	background-color: var(--genIndex-warningMsg) ; /* #917a66; */
	height : 30px ;
	width: 140px ;
}

.initButtonsBar .prevStepButton {
	border: none;
	position: relative;
	background-color: var(--genIndex-okMsg) ;
	/* background:linear-gradient(90deg, #3cfc62 0%, #1d9a11 100%); */
	background:linear-gradient(90deg, var(--genIndex-infoMsg) 0%, var(--genIndex-okMsg) 100%);
	height: 30px;
	width: 140px;
}

.initButtonsBar .prevStepButton:after {
	right: 100%;
	top: 50%;
	border: solid transparent;
	content: "";
	height: 0;
	width: 0;
	position: absolute;
	pointer-events: none;
	border-color: rgba(62, 210, 62, 0);
	/* border-right-color: #3cfc62 ; */
	border-right-color: var(--genIndex-infoMsg) ;
	border-width: 15.5px;
	margin-top: -15.5px;
}

.initButtonsBar .nextStepButton {
	border: none;
	position: relative;
	background-color: #3ed23e;
	/* background : linear-gradient(90deg, #1d9a11 0%, #3cfc62 100%); */
	background : linear-gradient(90deg, var(--genIndex-okMsg) 0%, var(--genIndex-infoMsg) 100%);
	/* margin-top: 1em;
	margin-left: calc(100% - 170px); */
	/* height : 57px ; */
	height : 30px ;
	width: 140px ;
}

.initButtonsBar .nextStepButton:after {
	left: 100%;
	top: 50%;
	border: solid transparent;
	content: "";
	height: 0;
	width: 0;
	position: absolute;
	pointer-events: none;
	border-color: rgba(62, 210, 62, 0);
	/* border-left-color: #3cfc62 ; */
	border-left-color: var(--genIndex-infoMsg) ;
	/* border-width: 28.5px;
	margin-top: -28.5px; */
	border-width: 15.5px;
	margin-top: -15.5px;
}

.prevStepButton input, .cancelButton input, .nextStepButton input {
	background : transparent ;
	border : none ;
	font-weight: 900;
	cursor : pointer ;
	width : 100% ;
	height : 100% ;
}

/* 	====================================== SPECIFIQUE MESSAGEBOX =================================== */

.messageBox .editor .message {
	white-space: initial;
}

.messageBox .message {
  padding: 1em 0;
}

.messageBox .message .error {
	margin : 2em 0 1em 0 ;
	border: 2px solid var(--genIndex-yellow-icon);
	padding: 0.5em;
}

/* 	============================================= DIVERS ========================================== */

.editor .remainingTime, .editor .message {
	text-align : center ;
}

.editor .message {
	max-width: calc(100% - 4em);
	white-space: nowrap;
	text-overflow: ellipsis;
	overflow: hidden;
	margin-left: 2em;
}

.editor .listeFichiers {
	max-height: 10vh;
}

.editor .showExistingFiles #filtreFichiers {
	float : right ;
	margin-right : 1em ;
}


#connexion span.info {
	color:var(--genIndex-infoMsg);
	display : inline-block ;
	width : 80%;
	margin-left : 10%;
	font-size:90%;
	margin-top : 1em;
	text-align: center;
}

.editor .photos {
	display: flex;
	max-width: 99vw;
	flex-wrap: wrap;
	column-gap: 10px;
	row-gap: 10px;
	justify-content: space-evenly;
}

.editor .imageDeRegistre .toolsBar {
	position: absolute;
	width: 100%;
	padding: 0.5em 1em 0 0;
	box-sizing: border-box;
}

.editor .photos .imageDeRegistre {
	position: relative;
}

.editor .imageDeRegistre .toolsBar .numPhoto {
	background-color: #ffffffc9;
	padding: 0.5em;
	color: black;
	display: inline-flex;
	align-items: center;
	column-gap: 0.5em;
	position: relative;
	top: -0.5em;
	border-bottom-right-radius: 0.5em;
	border : 1.5px solid var(--genIndex-title-fg) ;
}

.editor .photos img {
	max-width: 20vw;
	border : 1.5px solid var(--genIndex-title-fg) ;
}

/* divers */
.copiable {
	cursor:copy ;
}

.ui-autocomplete .titreListe {
	font-variant: small-caps;
	text-align: center;
	font-size: 80%;
	color: var(--genIndex-color);
	opacity: 1;
}

/*	===========================================================================================================
	Spécifique recherche unifiée
	========================================================================================================== */

.editor fieldset legend.error, .editor .addCriteria input.error {
	background-color: #ff7f7f !important;
	color: black !important;
	font-weight: 900;
}


.addCriteria {
	margin-top : 1.5em ;
	padding-top : 0.8em ;
	display: flex !important;
	justify-content: space-evenly;
}
.addCriteria span {
	display:inline-flex ; 
	column-gap: 1em;
}

.addCriteria input {
	background-color :var(--genIndex-activeOnglet_bg) ;
	border : none ;
	border-radius : 4px ;
	padding : 0 8px ;
	color : var(--genIndex-activeOnglet_fg) ;
	cursor : pointer ;
	font-weight: 700;
}

.addCriteria input.active {
	background-color : var(--genIndex-okMsg);
}

.addCriteria .cartouche.noBorder {
	border : 0.7px solid transparent !important;
	padding: 0.2em 0em;
	background: transparent !important;
}

.addCriteria .cartouche > legend {
	font-size: 80%;
	border: none;
	position: absolute;
	left: 50%;
	top: -1.6em;
	background-color: transparent !important;
	display: none;
	text-align: center;
	color: var(--genIndex-activeOnglet_bg) !important;
	transform: translate(-50%, 0);
	font-weight: 900;
	z-index: 1000000;
	white-space: nowrap;
}

.addCriteria .cartouche:hover > legend {
  display: inline-block;
}
